# ml_automation

Automated architecture selection for regression and classification tasks with just a couple of commands. Optimal architecture wil be chosen with Bayesian Optimization.

## Usage guide

```python
import os
import ml_automation
data_dir = "C:\\Users\\Noah\\Downloads"
train = os.path.join(data_dir, 'train.csv')
test = os.path.join(data_dir, 'test.csv')

# train
ml_automation.automate(path=train,
                ignore_cols=['Id'],
                out_dir='model')
# test
preds = ml_automation.predict(test, model_dir='model')
print(preds)
```

![alt text](https://ibb.co/SKJnPcZ)

## Usage

- **Install directly from PyPI:**

```sh
!pip install ml_automation
```
